'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var react = require('react');
var react__default = _interopDefault(react);
var reactNative = require('react-native');

/* eslint-disable no-unused-vars */
var index = (function () {
  var _useState = react.useState(false),
      visible = _useState[0],
      setVisible = _useState[1];

  function dismiss() {
    reactNative.Keyboard.dismiss();
    setVisible(false);
  }

  react.useEffect(function () {
    function onKeyboardDidShow() {
      setVisible(true);
    }

    function onKeyboardDidHide() {
      setVisible(false);
    }

    reactNative.Keyboard.addEventListener('keyboardDidShow', onKeyboardDidShow);
    reactNative.Keyboard.addEventListener('keyboardDidHide', onKeyboardDidHide);
    return function () {
      reactNative.Keyboard.removeEventListener('keyboardDidShow', onKeyboardDidShow);
      reactNative.Keyboard.removeEventListener('keyboardDidHide', onKeyboardDidHide);
    };
  }, []);
  return [visible, dismiss];
});

exports.default = index;
//# sourceMappingURL=react-native-hooks-keyboard.cjs.js.map
