(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react'), require('react-native')) :
  typeof define === 'function' && define.amd ? define(['react', 'react-native'], factory) :
  (global = global || self, global['react-native-hooks-keyboard'] = factory(global.React, global.reactNative));
}(this, function (react, reactNative) { 'use strict';

  var react__default = 'default' in react ? react['default'] : react;

  /* eslint-disable no-unused-vars */
  var index = (function () {
    var _useState = react.useState(false),
        visible = _useState[0],
        setVisible = _useState[1];

    function dismiss() {
      reactNative.Keyboard.dismiss();
      setVisible(false);
    }

    react.useEffect(function () {
      function onKeyboardDidShow() {
        setVisible(true);
      }

      function onKeyboardDidHide() {
        setVisible(false);
      }

      reactNative.Keyboard.addEventListener('keyboardDidShow', onKeyboardDidShow);
      reactNative.Keyboard.addEventListener('keyboardDidHide', onKeyboardDidHide);
      return function () {
        reactNative.Keyboard.removeEventListener('keyboardDidShow', onKeyboardDidShow);
        reactNative.Keyboard.removeEventListener('keyboardDidHide', onKeyboardDidHide);
      };
    }, []);
    return [visible, dismiss];
  });

  return index;

}));
//# sourceMappingURL=react-native-hooks-keyboard.js.map
